Subject: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Jul 2025 17:25:26 +0300

> Date: Tue, 22 Jul 2025 16:06:15 +0200
> From: Seb Hinderer <[email-masked]>
> Cc: Samuel Thibault <[email-masked]>, [email-masked],
> 	[email-masked], [email-masked]
> 
> Eli Zaretskii (2025/07/22 16:27 +0300):
> > > Yes, screen readers have always had to be privileged somehow.
> >
> > Which maybe gives us a way to detect them?
> 
> Frankly Eli, I cannot urge you enough to just forget about this idea, as
> swiftly as possible, for your own good (and ours).
> 
> There is the ssh case I mentionned and also, if you go through the WCAG
> and all the principles of the Internet, sane communication is based on
> agreements on what is exchanged which do not try to depend on which
> software is on the other side.

If better methods are possible, they are of course preferred.  But if
they are impossible, I don't want to reject other methods, even if
they are less elegant.

> Did you once see one RFC specifying what theprotocol should be depending
> on which client or server one is talking to?

Yes, of course.  Emacs has several features where we change behavior
depending on which external program we are communicating with or using
as a sub-process.